Subject: Re: Cross Compiler running under Win32

From: Steven Scholz <[email-masked]>
Date: Thu, 27 Nov 2003 11:18:13 +0100

Dan Kegel wrote:

> Steven Scholz wrote:
>
>> does someone know of a cross compiler (producing code for let's say
>> MPC8xx) that
>> is running natively under win32 (Windows2000/XP) without stuff like
>> CYGWIN?
>>
>> I'am just wondering.
>> Apparently MVISTA released their new "DevRocket" which is supposed to
>> run under
>> WindowsXP. So I assume they have cross compilers for "30 processors
>> from 8
>> architectures" running under Windows...
>
> They could well be using cygwin for the compilers; they charge
> enough that the licensing fee for cygwin is peanuts, I bet.
>
> But what's wrong with using Cygwin?

I think Cygwin is much too much overhead for just compiling a small application.
I was told that I could take just the GCC package from Cygwin without installing
all of it.

"licensing fee for cygwin" ???
So it's not free?
Could we just take the GCC package and the DLL and distribute it together with
our software and install it on our costumers Windows PCs?
We have to be able to generate and (cross-)compile code on our costumers PCs
that is than transfered to our devices and executed.

--
Steven Scholz

imc Measurement & Control               imc Meßsysteme GmbH
Voltastr. 5                             Voltastr. 5
13355 Berlin                            13355 Berlin
Germany                                 Deutschland
fon: +49 30 467090-0                    Tel: 030 / 467090-0
fax: +49 30 4631576                     fax: 030 / 4631576

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/